#!/usr/bin/env python3
import sqlite3
import sys

db = sqlite3.connect('SQLsamp.db')
csr = db.cursor()

droptbl = """DROP TABLE sqlitelearn"""
csr.execute(droptbl)
db.commit()


createTable = """CREATE TABLE sqlitelearn (
         id INTEGER NOT NULL PRIMARY KEY,
         querytype TEXT,
         querypurpose TEXT)"""

# csr = db.cursor()
csr.execute(createTable)
db.commit()

print('Table created.')
in1 = """INSERT INTO sqlitelearn values
       (1, 'ask1', 'Are you going to delete me?' )"""
csr.execute(in1)  
db.commit()
csr.execute("SELECT rowid,* FROM sqlitelearn")
print("first time ", csr.fetchall()) 

in2 = """INSERT INTO sqlitelearn 
       (id, querytype, querypurpose) values
       (2, 'ask2', 'Have you had your coffee, yet?')"""
csr.execute(in2)
db.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("second time ", csr.fetchall())


x = 3
y = "ask3"
z = "Did you know you spilt some on your tie?"
in3 = """INSERT INTO sqlitelearn values 
        (?, ?, ?)"""
csr.execute(in3,(x, y, z))
db.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("third  time ", csr.fetchall())

in4 = """INSERT INTO sqlitelearn values
        (:a, :b, :c)"""
py_dict = {'a': 4, 'b': "ask4", 'c': "Here is a towel"}
print( "a", py_dict['a'])
csr.execute( in4 , py_dict)
db.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("fourth  time ", csr.fetchall())

csr.execute("SELECT * FROM sqlitelearn")
print("fifth (fetchone)   time ", csr.fetchone())

csr.execute("SELECT rowid,* FROM sqlitelearn")
print("sixth (fetchmany) time", csr.fetchmany(3))

db.close()
sys.exit()

