#!/usr/bin/env python3

import sqlite3
import sys

conn = sqlite3.connect('SQLsamp.db')
csr = conn.cursor()

droptbl = """DROP TABLE sqlitelearn"""
csr.execute(droptbl)
conn.commit()


createTable = """CREATE TABLE sqlitelearn (
         id INTEGER NOT NULL PRIMARY KEY,
         querytype TEXT,
         querypurpose TEXT)"""

csr = conn.cursor()
csr.execute(createTable)
conn.commit()

print('Table created.')
in1 = """INSERT INTO sqlitelearn values
       (1, 'ask1', 'Are you going to delete me?' )"""
csr.execute(in1)  
conn.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("first time ", csr.fetchall()) 

in2 = """INSERT INTO sqlitelearn 
       (id, querytype, querypurpose) values
       (2, 'ask2', 'Have you had your coffee, yet?')"""
csr.execute(in2)
conn.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("second time ", csr.fetchall())

del1 = """DELETE FROM sqlitelearn where querytype = 'ask2'"""
csr.execute(del1)
conn.commit()
print ("After deletion of row 2")

x = 3
y = "ask3"
z = "Did you know you spilt some on your tie?"
in3 = """INSERT INTO sqlitelearn values 
        (?, ?, ?)"""
csr.execute(in3,(x, y, z))
conn.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("third  time ", csr.fetchall())

in4 = """INSERT INTO sqlitelearn values
        (:a, :b, :c)"""
py_dict = {'a': 4, 'b': "ask4", 'c': "Here is a towel"}
print( "a", py_dict['a'])
csr.execute( in4 , py_dict)
conn.commit()
csr.execute("SELECT * FROM sqlitelearn")
print("fourth  time ", csr.fetchall())

conn.close()
sys.exit()

